import { gql } from "@apollo/client"

export const SECTION_FRAGMENT = gql`
  fragment SectionFragment on Section {
    id
    name
    code
    enabled
  }
`

export const FILE_FRAGMENT = gql`
  ${SECTION_FRAGMENT}
  fragment FileFragment on File {
    id
    name
    enabled
    hidden
    tags
    createdAt
    updatedAt
    state
    rules {
      exclude
      type
      value
    }
    sections {
      ...SectionFragment
    }
  }
`
